Xerces2 Implementation: Class XSObjectListImpl

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.util
Class XSObjectListImpl

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--java.util.AbstractList
                  |
                  +--org.apache.xerces.impl.xs.util.XSObjectListImpl

All Implemented Interfaces:
  java.util.Collection, java.util.List, org.apache.xerces.xs.XSObjectList

public class XSObjectListImpl
extends java.util.AbstractList
implements org.apache.xerces.xs.XSObjectList

Contains a list of XSObjects.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: XSObjectListImpl.java 776079 2009-05-18 20:22:27Z mrglavas $
Author:
  Sandy Gao, IBM

Field Summary
`static XSObjectListImpl` | `EMPTY_LIST` An immutable empty list.

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`XSObjectListImpl()`
`XSObjectListImpl(org.apache.xerces.xs.XSObject[] array, int length)` Construct an XSObjectList implementation

Method Summary
`void` | `addXSObject(int index, org.apache.xerces.xs.XSObject object)`
`void` | `addXSObject(org.apache.xerces.xs.XSObject object)`
`void` | `clearXSObjectList()`
`boolean` | `contains(java.lang.Object value)`
`java.lang.Object` | `get(int index)`
`int` | `getLength()` The number of `XSObjects` in the list.
`org.apache.xerces.xs.XSObject` | `item(int index)` Returns the `index`th item in the collection.
`java.util.Iterator` | `iterator()`
`java.util.ListIterator` | `listIterator()`
`java.util.ListIterator` | `listIterator(int index)`
`int` | `size()`
`java.lang.Object[]` | `toArray()`
`java.lang.Object[]` | `toArray(java.lang.Object[] a)`

Methods inherited from class java.util.AbstractList
`add, add, addAll, clear, equals, hashCode, indexOf, lastIndexOf, remove, removeRange, set, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, containsAll, isEmpty, remove, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, containsAll, equals, hashCode, indexOf, isEmpty, lastIndexOf, remove, remove, removeAll, retainAll, set, subList`

Field Detail

### EMPTY_LIST

    public static final XSObjectListImpl EMPTY_LIST

  An immutable empty list.

Constructor Detail

### XSObjectListImpl

    public XSObjectListImpl()

### XSObjectListImpl

    public XSObjectListImpl(org.apache.xerces.xs.XSObject[] array,
                            int length)

  Construct an XSObjectList implementation
  Parameters:
    `array` - the data array
    `length` - the number of elements

Method Detail

### getLength

    public int getLength()

  The number of `XSObjects` in the list. The range of valid child node indices is 0 to `length-1` inclusive.
  Specified by:
    `getLength` in interface `org.apache.xerces.xs.XSObjectList`

### item

    public org.apache.xerces.xs.XSObject item(int index)

  Returns the `index`th item in the collection. The index starts at 0. If `index` is greater than or equal to the number of nodes in the list, this returns `null`.
  Specified by:
    `item` in interface `org.apache.xerces.xs.XSObjectList`
  Parameters:
    `index` - index into the collection.
  Returns:
    The XSObject at the `index`th position in the `XSObjectList`, or `null` if that is not a valid index.

### clearXSObjectList

    public void clearXSObjectList()

### addXSObject

    public void addXSObject(org.apache.xerces.xs.XSObject object)

### addXSObject

    public void addXSObject(int index,
                            org.apache.xerces.xs.XSObject object)

### contains

    public boolean contains(java.lang.Object value)

  Specified by:
    `contains` in interface `java.util.List`
  Overrides:
    `contains` in class `java.util.AbstractCollection`

### get

    public java.lang.Object get(int index)

  Specified by:
    `get` in interface `java.util.List`
  Overrides:
    `get` in class `java.util.AbstractList`

### size

    public int size()

  Specified by:
    `size` in interface `java.util.List`
  Overrides:
    `size` in class `java.util.AbstractCollection`

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `java.util.List`
  Overrides:
    `iterator` in class `java.util.AbstractList`

### listIterator

    public java.util.ListIterator listIterator()

  Specified by:
    `listIterator` in interface `java.util.List`
  Overrides:
    `listIterator` in class `java.util.AbstractList`

### listIterator

    public java.util.ListIterator listIterator(int index)

  Specified by:
    `listIterator` in interface `java.util.List`
  Overrides:
    `listIterator` in class `java.util.AbstractList`

### toArray

    public java.lang.Object[] toArray()

  Specified by:
    `toArray` in interface `java.util.List`
  Overrides:
    `toArray` in class `java.util.AbstractCollection`

### toArray

    public java.lang.Object[] toArray(java.lang.Object[] a)

  Specified by:
    `toArray` in interface `java.util.List`
  Overrides:
    `toArray` in class `java.util.AbstractCollection`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.